	.file	"image.cpp"
	.text
	.align 2
	.globl	_ZN3tga7details13ImageIteratorC2Ev
	.type	_ZN3tga7details13ImageIteratorC2Ev, @function
_ZN3tga7details13ImageIteratorC2Ev:
.LFB1384:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	$0, (%rdi)
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE1384:
	.size	_ZN3tga7details13ImageIteratorC2Ev, .-_ZN3tga7details13ImageIteratorC2Ev
	.globl	_ZN3tga7details13ImageIteratorC1Ev
	.set	_ZN3tga7details13ImageIteratorC1Ev,_ZN3tga7details13ImageIteratorC2Ev
	.align 2
	.globl	_ZN3tga7details13ImageIterator7calcPtrEv
	.type	_ZN3tga7details13ImageIterator7calcPtrEv, @function
_ZN3tga7details13ImageIterator7calcPtrEv:
.LFB1390:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdx
	movl	12(%rdx), %eax
	imull	12(%rdi), %eax
	movl	8(%rdx), %ecx
	imull	8(%rdi), %ecx
	addq	%rcx, %rax
	addq	(%rdx), %rax
	movq	%rax, 32(%rdi)
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE1390:
	.size	_ZN3tga7details13ImageIterator7calcPtrEv, .-_ZN3tga7details13ImageIterator7calcPtrEv
	.align 2
	.globl	_ZN3tga7details13ImageIteratorC2ERKNS_6HeaderERNS_5ImageE
	.type	_ZN3tga7details13ImageIteratorC2ERKNS_6HeaderERNS_5ImageE, @function
_ZN3tga7details13ImageIteratorC2ERKNS_6HeaderERNS_5ImageE:
.LFB1387:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	%rdx, (%rdi)
	movzbl	19(%rsi), %eax
	movl	%eax, %ecx
	andl	$16, %ecx
	je	.L4
	movzwl	14(%rsi), %edx
	subl	$1, %edx
	movl	%edx, 8(%rdi)
	testb	$32, %al
	jne	.L5
.L8:
	movzwl	16(%rsi), %edx
	leal	-1(%rdx), %eax
	movl	%eax, 12(%rdi)
	movzwl	14(%rsi), %eax
	movl	%eax, 16(%rdi)
	cmpb	$1, %cl
	sbbl	%eax, %eax
	andl	$2, %eax
	subl	$1, %eax
	movl	$-1, %ecx
.L6:
	movl	%edx, 20(%rdi)
	movl	%eax, 24(%rdi)
	movl	%ecx, 28(%rdi)
	call	_ZN3tga7details13ImageIterator7calcPtrEv
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L5:
	.cfi_restore_state
	movl	$0, 12(%rdi)
	movzwl	14(%rsi), %eax
	movl	%eax, 16(%rdi)
	movzwl	16(%rsi), %edx
	cmpb	$1, %cl
	sbbl	%eax, %eax
	andl	$2, %eax
	subl	$1, %eax
	movl	$1, %ecx
	jmp	.L6
.L4:
	movl	$0, 8(%rdi)
	testb	$32, %al
	je	.L8
	movl	$0, 12(%rdi)
	movzwl	14(%rsi), %eax
	movl	%eax, 16(%rdi)
	movzwl	16(%rsi), %edx
	movl	$1, %eax
	movl	$1, %ecx
	jmp	.L6
	.cfi_endproc
.LFE1387:
	.size	_ZN3tga7details13ImageIteratorC2ERKNS_6HeaderERNS_5ImageE, .-_ZN3tga7details13ImageIteratorC2ERKNS_6HeaderERNS_5ImageE
	.globl	_ZN3tga7details13ImageIteratorC1ERKNS_6HeaderERNS_5ImageE
	.set	_ZN3tga7details13ImageIteratorC1ERKNS_6HeaderERNS_5ImageE,_ZN3tga7details13ImageIteratorC2ERKNS_6HeaderERNS_5ImageE
	.align 2
	.globl	_ZN3tga7details13ImageIterator7advanceEv
	.type	_ZN3tga7details13ImageIterator7advanceEv, @function
_ZN3tga7details13ImageIterator7advanceEv:
.LFB1389:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	24(%rdi), %eax
	movl	%eax, %ecx
	addl	8(%rdi), %ecx
	movl	%ecx, 8(%rdi)
	movq	(%rdi), %rdx
	movl	%eax, %esi
	imull	8(%rdx), %esi
	movslq	%esi, %rdx
	addq	%rdx, 32(%rdi)
	testl	%ecx, %eax
	js	.L13
	movl	$0, %edx
	testl	%eax, %eax
	jle	.L12
	cmpl	16(%rdi), %ecx
	je	.L18
.L12:
	movl	%edx, %eax
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L13:
	.cfi_restore_state
	movl	16(%rdi), %eax
	subl	$1, %eax
	jmp	.L15
.L18:
	movl	$0, %eax
.L15:
	movl	%eax, 8(%rdi)
	movl	28(%rdi), %eax
	movl	%eax, %ecx
	addl	12(%rdi), %ecx
	movl	%ecx, 12(%rdi)
	testl	%ecx, %eax
	js	.L19
	testl	%eax, %eax
	jle	.L16
	movl	$1, %edx
	cmpl	20(%rdi), %ecx
	je	.L12
.L16:
	call	_ZN3tga7details13ImageIterator7calcPtrEv
	movl	$0, %edx
	jmp	.L12
.L19:
	movl	$1, %edx
	jmp	.L12
	.cfi_endproc
.LFE1389:
	.size	_ZN3tga7details13ImageIterator7advanceEv, .-_ZN3tga7details13ImageIterator7advanceEv
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
